<html ng-app="ngModelExample">
    <head>
        <script src="js/angular.js"></script>
        <script src="module.js"></script>
    <title>model_Demo</title>
</head>
<body ng-controller="ExampleCtrl">
<h1>Model Demo Example</h1>
<p>textbox:<input type="text"  ng-change="textboxchange()" ng-model="txtString"></input></p>
<p>checkbox:<input type="checkbox" ng-model="booleanValue"></input></p>
<p>Date:<input type="date" ng-model="dateValue"></p>
<p>Radio:
    <input type="radio" ng-model="radioValue" value="opt1">option1</p>
    <input type="radio" ng-model="radioValue" value="opt2">option2</p>
    <input type="radio" ng-model="radioValue" value="opt3">option3</p>



<div>
    <p>text input:{{txtString}}</p>
    <p>checkbox:{{booleanValue}}</p>
    <p>Date:{{dateValue}}</p>
    <p>Radio:{{radioValue}}</p>
</div>
</body>
</html>